Skip to main content
GET
/
v1
/
apis
/
{slug}
API detail
curl --request GET \
  --url https://gateway.apiosk.com/v1/apis/{slug}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "name": "<string>",
  "description": "<string>",
  "long_description": "<string>",
  "category": "<string>",
  "listing_type": "<string>",
  "docs_url": "<string>",
  "gateway_base_url": "<string>",
  "example_usage": "<string>",
  "authentication": {},
  "active": true,
  "verified": true,
  "listing_metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "endpoints": [
    {
      "method": "<string>",
      "path": "<string>",
      "full_url": "<string>",
      "description": "<string>",
      "price_usd": 123,
      "payment_required": true,
      "request_body": {},
      "response_body": {},
      "request_example": null,
      "response_example": null,
      "headers": {},
      "query_params": {}
    }
  ]
}

Path Parameters

slug
string
required

Gateway API slug.

Response

Public listing detail including endpoint docs.

id
string<uuid>
slug
string
name
string
description
string
long_description
string | null
category
string | null
listing_type
string | null
docs_url
string | null
gateway_base_url
string
example_usage
string | null
authentication
object
active
boolean
verified
boolean
listing_metadata
object
created_at
string<date-time>
endpoints
object[]